Package org.drinkless.tdlib

# Class TdApi.UpdateChatAction

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatAction

Enclosing class:
  `TdApi`

public static class TdApi.UpdateChatAction extends TdApi.Update
A message sender activity in the chat has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.ChatAction`
  `action`
  The action.
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.MessageSender`
  `senderId`
  Identifier of a message sender performing the action.
  `TdApi.MessageTopic`
  `topicId`
  Identifier of the specific topic in which the action was performed; may be null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatAction()`
  A message sender activity in the chat has changed.
  `UpdateChatAction(long chatId, TdApi.MessageTopic topicId, TdApi.MessageSender senderId, TdApi.ChatAction action)`
  A message sender activity in the chat has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### topicId

    @Nullable public TdApi.MessageTopic topicId
    Identifier of the specific topic in which the action was performed; may be null if none.

  - ### senderId

    public TdApi.MessageSender senderId
    Identifier of a message sender performing the action.

  - ### action

    public TdApi.ChatAction action
    The action.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatAction

    public UpdateChatAction()
    A message sender activity in the chat has changed.

  - ### UpdateChatAction

    public UpdateChatAction(long chatId, TdApi.MessageTopic topicId, TdApi.MessageSender senderId, TdApi.ChatAction action)
    A message sender activity in the chat has changed.
    Parameters:
      `chatId` - Chat identifier.
      `topicId` - Identifier of the specific topic in which the action was performed; may be null if none.
      `senderId` - Identifier of a message sender performing the action.
      `action` - The action.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR